<?php

namespace App\Admin\Controllers\Market;

use App\Models\UserConsumeRecord;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Show;
use Dcat\Admin\Http\Controllers\AdminController;

class UserConsumeRecordController extends AdminController
{
    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        return Grid::make(new UserConsumeRecord(), function (Grid $grid) {
            $grid->column('id')->sortable();
            $grid->column('user_id');
            $grid->column('before');
            $grid->column('change');
            $grid->column('current');
            $grid->column('remark');
            $grid->column('order_id');
            $grid->column('created_at');
            $grid->column('updated_at')->sortable();
        
            $grid->filter(function (Grid\Filter $filter) {
                $filter->equal('id');
        
            });
        });
    }

    /**
     * Make a show builder.
     *
     * @param mixed $id
     *
     * @return Show
     */
    protected function detail($id)
    {
        return Show::make($id, new UserConsumeRecord(), function (Show $show) {
            $show->field('id');
            $show->field('user_id');
            $show->field('before');
            $show->field('change');
            $show->field('current');
            $show->field('remark');
            $show->field('order_id');
            $show->field('created_at');
            $show->field('updated_at');
        });
    }

    /**
     * Make a form builder.
     *
     * @return Form
     */
    protected function form()
    {
        return Form::make(new UserConsumeRecord(), function (Form $form) {
            $form->display('id');
            $form->text('user_id');
            $form->text('before');
            $form->text('change');
            $form->text('current');
            $form->text('remark');
            $form->text('order_id');
        
            $form->display('created_at');
            $form->display('updated_at');
        });
    }
}
