<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    $router->get('/', 'HomeController@index');
    // 程序管理 --banner
    $router->resource('/program/banner','BannerController');
    // 程序管理 --导航
    $router->resource('/program/navbar','NavBarController');
    // 程序管理 --标签
    $router->resource('/program/tabbar','TabbarController');
    // 程序管理 --首页栏目
    $router->resource('/program/home_column','HomeColumnController');

    // 短剧管理 --剧集列表
    $router->resource('/episodes/lists','EpisodeController');
    // 短剧管理 --剧集分类
    $router->resource('/episodes/category','EpisodesCategoryController');

    // 订单管理 --金币消费记录
    $router->resource('/order/consume','UserConsumeRecordController');
    // 订单管理 --充值记录
    $router->resource('/order/recharge','UserRechargeRecordController');
    // 订单管理 --用户剧集消费记录
    $router->resource('/order/episodes','UserEpisodesRecordController');
    // 用户列表
    $router->resource('/users','UserController');

    //营销 --金币 基础设置
    $router->resource('/market/setting/gold','Setting\\SettingController');
    //营销 --金币 充值设置
    $router->resource('/market/recharge/setting','Market\\RechargeComboController');
    //营销 --金币 充值记录
    $router->resource('/market/recharge/records','Market\\UserRechargeRecordController');


    //设置 --基础设置
    $router->resource('/setting/base/basic','Setting\\SettingController');
    //设置 --订单设置
    $router->resource('/setting/pay','Setting\\PayConfigController');
    //设置 --支付设置
    $router->resource('/setting/pay','Setting\\PayConfigController');
    //设置 --消息设置
    $router->resource('/setting/base/tips','Setting\\SettingController');


});
